﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;

namespace WindowsFormsApplication123
{
    public partial class Form1 : Form
    {
        DataTable dt = new DataTable("aa");
        DataTable dt2 = new DataTable("aa");
        public Form1()
        {
            dt.Columns.Add("First name", typeof(string));
            dt.Columns.Add("Family name", typeof(string));
           
            dt.Rows.Add("Mike", "Johnson");
            dt.Rows.Add("Mike", "Carrick"); 
            dt.Rows.Add("Ivan", "Ivanov");
            dt.Rows.Add("Peter", "Maivia");
            dt.Rows.Add("Peter", "Maivia7");
            dt.Rows.Add("T", "shirt5");
            dt.Rows.Add("T", "shirt");

            dt2.Columns.Add("First name", typeof(string));
            dt2.Columns.Add("Family name", typeof(string));

            dt2.Rows.Add("Mike", "Johnson");
            dt2.Rows.Add("Mike", "Officer");
            dt2.Rows.Add("Henning", "Barbosa");
            dt2.Rows.Add("Mike", "Carrick");
            dt2.Rows.Add("Peter", "Maivia");
            dt2.Rows.Add("Peter", "Mai543via");
            dt2.Rows.Add("T", "shirt");

            InitializeComponent();

            ultraGrid1.DataSource = dt;
            ultraGrid2.DataSource = dt2;
            
            ultraGrid1.DisplayLayout.Bands[0].CardView = true;
            ultraGrid1.DisplayLayout.Bands[0].CardSettings.MaxCardAreaCols = 1;

            ultraGrid2.DisplayLayout.Bands[0].CardView = true;
            ultraGrid2.DisplayLayout.Bands[0].CardSettings.MaxCardAreaCols = 1;
            
            foreach (UltraGridRow row in ultraGrid1.Rows)
            {
                row.Tag = "false";
            }
            foreach (UltraGridRow row in ultraGrid2.Rows)
            {
                row.Tag = "false";
            }

            compareGrids();
        }

        private void compareGrids()
        {
            foreach (UltraGridRow row in ultraGrid1.Rows)
            {
                foreach (UltraGridRow row2 in ultraGrid2.Rows)
                {
                    if (row2.Tag.ToString() != "true" && row.Tag.ToString() != "true")
                    {
                        for (int i = 0; i < row.Cells.Count; i++)
                        {
                            if (row.Cells[i].Value == row2.Cells[i].Value)
                            {
                                row.Tag = "true";
                                row2.Tag = "true";
                            }
                            else
                            {
                                row.Tag = "false";
                                row2.Tag = "false";
                                break;
                            }
                        }
                    }
                }
            }

            foreach (UltraGridRow row in ultraGrid1.Rows)
            {
                if (row.Tag.ToString() != "true")
                {
                    row.Hidden = true;
                }
            }

            foreach (UltraGridRow row in ultraGrid2.Rows)
            {
                if (row.Tag.ToString() != "true")
                {
                    row.Hidden = true;
                }
            }
        }
    }
}
